Bug 1474888 - Getting 403 forbidden error while setting the email preference or sending the test email with a normal user with viewer access
Summary: Getting 403 forbidden error while setting the email preference or sending the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Email
Version: 6.2.10
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Amir
QA Contact: Marek Hulan
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 14:59 UTC by Ganesh Payelkar
Modified: 2020-08-13 09:41 UTC (History)
7 users (show)

Fixed In Version: foreman-1.15.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:46:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16807 0 None None None 2017-07-27 01:04:57 UTC

Description Ganesh Payelkar 2017-07-25 14:59:30 UTC
Description of problem:

Getting 403 forbidden error while setting the email preference or sending the test email with a normal user with viewer access logged in

Version-Release number of selected component (if applicable):
satellite 6.2.10

How reproducible:


Steps to Reproduce:
1. Added role view_mail_notifications only: no, mail button does NOT work, no test emails were sent.

2. With edit_user permission only: email button DOES works. Permission "view_mail_notifications" is NOT necessary for test emails.

3.

Actual results:

Getting 403 when assigned viewer role permission. 

Expected results:

The view_mail_notifications role must be sufficient to send the test email.  

Additional info:

Comment 2 Nagoor Shaik 2017-07-26 06:05:22 UTC
Created redmine issue http://projects.theforeman.org/issues/20410

and PR submitted upstream https://github.com/theforeman/foreman/pull/4697

Comment 6 Satellite Program 2017-07-27 08:11:40 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 7 Satellite Program 2017-07-27 08:11:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16807 has been resolved.

Comment 10 Bryan Kearney 2018-02-21 16:42:32 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 Bryan Kearney 2018-02-21 16:46:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 12 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.